Bug 1030483 - Individual group search returned multiple results in GC lookups
Individual group search returned multiple results in GC lookups
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Jeremy Agee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 09:29 EST by Dmitri Pal
Modified: 2015-03-29 23:51 EDT (History)
7 users (show)

See Also:
Fixed In Version: sssd-1.11.2-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-11-14 09:29:32 EST
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2148

If the DNS names of member domains in an AD forest have a parent-child relation ship, e.g. forest.ad, child.forest.ad, grandchild.forest.ad, the LDAP sub-trees in the GC for the child domains are children of the forest root LDAP tree. Hence a subtree search in the forest root tree will find results in the child domains as well.

Since there are user and group names which are present in all AD domains e.g. a search for 'Domain Users' will return multiple matches. Currently this is not expected by the generic SSSD LDAP code and the following can be found in the logs:


{{{
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_groups_next_base] (0x0400): Searching for groups with base [DC=ad18,DC=ipa18,DC=devel]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x0400): calling ldap_search_ext with [(&(name=domain admins)(objectclass=group)(name=*))][DC=ad18,DC=ipa18,DC=devel].
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [objectClass]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [name]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [gidNumber]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [member]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [objectGUID]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [objectSID]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [whenChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x1000): Requesting attrs: [uSNChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_step] (0x2000): ldap_search_ext called, msgid = 5
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_id_op_connect_done] (0x4000): caching successful connection after 1 notifies
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [be_run_unconditional_online_cb] (0x4000): List of unconditional online callbacks is empty, nothing to do.
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_result] (0x2000): Trace: sh[0x89ed1a8], connected[1], ops[0x89de5b0], ldap[0x89e28d8]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_message] (0x4000): Message type: [LDAP_RES_SEARCH_ENTRY]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_entry] (0x4000): OriginalDN: [CN=Domain Admins,CN=Users,DC=ad18,DC=ipa18,DC=devel].
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectClass]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [member]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [whenChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [uSNChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [name]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectGUID]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectSid]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_result] (0x2000): Trace: sh[0x89ed1a8], connected[1], ops[0x89de5b0], ldap[0x89e28d8]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_message] (0x4000): Message type: [LDAP_RES_SEARCH_ENTRY]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_entry] (0x4000): OriginalDN: [CN=Domain Admins,CN=Users,DC=sub,DC=ad18,DC=ipa18,DC=devel].
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectClass]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [whenChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [uSNChanged]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [name]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectGUID]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_parse_range] (0x2000): No sub-attributes for [objectSid]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_result] (0x2000): Trace: sh[0x89ed1a8], connected[1], ops[0x89de5b0], ldap[0x89e28d8]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_process_message] (0x4000): Message type: [LDAP_RES_SEARCH_RESULT]
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_generic_ext_done] (0x0400): Search result: Success(0), no errmsg set
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_groups_process] (0x0400): Search for groups, returned 2 results.
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_get_groups_process] (0x0080): Individual group search returned multiple results
(Thu Nov 14 11:49:39 2013) [sssd[be[ad18.ipa18.devel]]] [sdap_id_op_done] (0x4000): releasing operation connection
}}}


This is a similar issue like the one fixed by 022ebf54037982211da729b99213bab7458ae827 but in a different code path.
Comment 1 Jakub Hrozek 2013-12-13 05:03:24 EST
Fixed upstream:
* master: 87a6f8fca5fb818d11b7702abb47faf2f3f00b79
* sssd-1-11: cab9dae09da698f926839380a678c7f02485ae66
Comment 3 Jeremy Agee 2014-03-12 08:14:59 EDT
Automation task passed

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_06: bz 1030483 individual group search returned multiple results in GC lookups
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'id administrator@sssdad.com' (Expected 0, got 0)
:: [   PASS   ] :: File '/var/log/sssd/sssd_sssdad.com.log' should not contain '\[sdap_get_groups_process\] (0x0080): Individual group search returned multiple results' 
:: [   LOG    ] :: Duration: 4s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: ad_forest_06: bz 1030483 individual group search returned multiple results in GC lookups
Comment 4 Ludek Smid 2014-06-13 06:41:14 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.